FreeMat

- Main Page
- Related Pages

vtkImageConvolve

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageConvolve convolves the image with a 3D NxNxN kernel or a 2D NxN kernal. The output image is cropped to the same size as the input.

To create an instance of class vtkImageConvolve, simply invoke its constructor as follows

      obj = vtkImageConvolve

# Methods

The class vtkImageConvolve has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageConvolve class.

- `string = obj.GetClassName ()` - Construct an instance of vtkImageConvolve filter.
- `int = obj.IsA (string name)` - Construct an instance of vtkImageConvolve filter.
- `vtkImageConvolve = obj.NewInstance ()` - Construct an instance of vtkImageConvolve filter.
- `vtkImageConvolve = obj.SafeDownCast (vtkObject o)` - Construct an instance of vtkImageConvolve filter.
- `int = obj. GetKernelSize ()` - Get the kernel size
- `obj.SetKernel3x3 (double kernel[9])` - Set the kernel to be a given 3x3 or 5x5 or 7x7 kernel.
- `obj.SetKernel5x5 (double kernel[25])` - Set the kernel to be a given 3x3 or 5x5 or 7x7 kernel.
- `obj.GetKernel3x3 (double kernel[9])` - Return an array that contains the kernel.
- `obj.GetKernel5x5 (double kernel[25])` - Return an array that contains the kernel.
- `obj.SetKernel3x3x3 (double kernel[27])` - Set the kernel to be a 3x3x3 or 5x5x5 or 7x7x7 kernel.
- `obj.GetKernel3x3x3 (double kernel[27])` - Return an array that contains the kernel